# org.pdfclown.documents.contents.IContentEntity Interface Reference

Generic content entity.It provides common ways to convert any content into content stream objects. More...

Inheritance diagram for org.pdfclown.documents.contents.IContentEntity:

List of all members.

## Public Member Functions
ContentObject | ToInlineObject (PrimitiveComposer composer)
| Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].
xObjects.XObject | ToXObject (Document context)
| Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

##

Generic content entity.

It provides common ways to convert any content into content stream objects.

## Member Function Documentation

ContentObject org.pdfclown.documents.contents.IContentEntity.ToInlineObject | ( | PrimitiveComposer | composer | ) |

Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].

This method creates and shows an inline object within the target content context, returning it.

Due to its direct-content nature (opposite to the indirect-content nature of external objects), the resulting object should be shown only one time in order not to wastefully duplicate its data.

Parameters:

  | composer | Target content composer.

Returns:
  The inline object representing the entity.

Implemented in org.pdfclown.documents.contents.entities.EAN13Barcode, org.pdfclown.documents.contents.entities.Entity, org.pdfclown.documents.contents.entities.JpegImage, org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

xObjects.XObject org.pdfclown.documents.contents.IContentEntity.ToXObject | ( | Document | context | ) |

Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

This method creates an external object within the target document, returning it. To show it in a content context (eg: a page), then it must be applied in an appropriate manner (see PrimitiveComposer object).

Parameters:

  | context | Target document.

Returns:
  The external object representing the entity.

Implemented in org.pdfclown.documents.contents.entities.EAN13Barcode, org.pdfclown.documents.contents.entities.Entity, org.pdfclown.documents.contents.entities.JpegImage, org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.